Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.backport.java.util.concurrent
Class RejectedExecutionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  edu.emory.mathcs.backport.java.util.concurrent.RejectedExecutionException

All Implemented Interfaces:
  java.io.Serializable

public class RejectedExecutionException
extends java.lang.RuntimeException

Exception thrown by an `Executor` when a task cannot be accepted for execution.

Since:
  1.5
Author:
  Doug Lea
See Also:
  Serialized Form

Constructor Summary
`RejectedExecutionException()` Constructs a `RejectedExecutionException` with no detail message.
`RejectedExecutionException(java.lang.String message)` Constructs a `RejectedExecutionException` with the specified detail message.
`RejectedExecutionException(java.lang.String message, java.lang.Throwable cause)` Constructs a `RejectedExecutionException` with the specified detail message and cause.
`RejectedExecutionException(java.lang.Throwable cause)` Constructs a `RejectedExecutionException` with the specified cause.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RejectedExecutionException

    public RejectedExecutionException()

  Constructs a `RejectedExecutionException` with no detail message. The cause is not initialized, and may subsequently be initialized by a call to `initCause`.

### RejectedExecutionException

    public RejectedExecutionException(java.lang.String message)

  Constructs a `RejectedExecutionException` with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `initCause`.

Parameters:
  `message` - the detail message

### RejectedExecutionException

    public RejectedExecutionException(java.lang.String message,
                                      java.lang.Throwable cause)

  Constructs a `RejectedExecutionException` with the specified detail message and cause.

Parameters:
  `message` - the detail message
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method)

### RejectedExecutionException

    public RejectedExecutionException(java.lang.Throwable cause)

  Constructs a `RejectedExecutionException` with the specified cause. The detail message is set to:

       (cause ==
       null ? null : cause.toString())

  (which typically contains the class and detail message of `cause`).

Parameters:
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD